%global modulename npm-package-arg

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-npm-package-arg
Version:        6.1.0
Release:        1%{?dist}
Summary:        Parse the things that can be arguments to `npm install`

License:        ISC
URL:            https://github.com/npm/npm-package-arg
Source0:        https://registry.npmjs.org/npm-package-arg/-/npm-package-arg-6.1.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(hosted-git-info) >= 2.6.0 with npmlib(hosted-git-info) < 3.0.0))
BuildRequires:  ((npmlib(osenv) >= 0.1.5 with npmlib(osenv) < 0.2.0))
BuildRequires:  ((npmlib(semver) >= 5.5.0 with npmlib(semver) < 6.0.0))
BuildRequires:  ((npmlib(validate-npm-package-name) >= 3.0.0 with npmlib(validate-npm-package-name) < 4.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Parse the things that can be arguments to `npm install`

%package 6.1.0
Summary:        Parse the things that can be arguments to `npm install`


%description 6.1.0
Parse the things that can be arguments to `npm install`

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr npa.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 6.1.0
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 6.1.0-1
- Package automatically generated by npm2srpm
